summaryrefslogtreecommitdiffstats
path: root/contrib/init/centos
diff options
context:
space:
mode:
authorThomas Boerger <thomas@webhippie.de>2017-03-15 13:30:00 +0100
committerGitHub <noreply@github.com>2017-03-15 13:30:00 +0100
commita06c3ad2c02a5473184711be6dbf1b30f0299e11 (patch)
treece0ac065a6afa843ce298d00d1761b5cf48accf9 /contrib/init/centos
parent09fe4a2ae9dfa8b3bc8a5039d0feab1e1a34d07b (diff)
downloadgitea-a06c3ad2c02a5473184711be6dbf1b30f0299e11.tar.gz
gitea-a06c3ad2c02a5473184711be6dbf1b30f0299e11.zip
Synced gitignores with github repo (#1245)
* Renamed scripts directory into contrib * Added script to download gitignores from github * Synced gitignores with github repo
Diffstat (limited to 'contrib/init/centos')
-rw-r--r--contrib/init/centos/gitea93
1 files changed, 93 insertions, 0 deletions
diff --git a/contrib/init/centos/gitea b/contrib/init/centos/gitea
new file mode 100644
index 0000000000..c24fc1f01e
--- /dev/null
+++ b/contrib/init/centos/gitea
@@ -0,0 +1,93 @@
+#!/bin/sh
+#
+# /etc/rc.d/init.d/gitea
+#
+# Runs the Gitea Git with a cup of tea.
+#
+#
+# chkconfig: - 85 15
+#
+
+### BEGIN INIT INFO
+# Provides: gitea
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Start gitea at boot time.
+# Description: Control gitea.
+### END INIT INFO
+
+# Source function library.
+. /etc/init.d/functions
+
+# Default values
+
+NAME=gitea
+GITEA_HOME=/home/git/gitea
+GITEA_PATH=${GITEA_HOME}/$NAME
+GITEA_USER=git
+SERVICENAME="Gitea - Git with a cup of tea"
+LOCKFILE=/var/lock/subsys/gitea
+LOGPATH=${GITEA_HOME}/log
+LOGFILE=${LOGPATH}/gitea.log
+RETVAL=0
+
+# Read configuration from /etc/sysconfig/gitea to override defaults
+[ -r /etc/sysconfig/$NAME ] && . /etc/sysconfig/$NAME
+
+# Don't do anything if nothing is installed
+[ -x ${GITEA_PATH} ] || exit 0
+# exit if logpath dir is not created.
+[ -x ${LOGPATH} ] || exit 0
+
+DAEMON_OPTS="--check $NAME"
+
+# Set additional options, if any
+[ ! -z "$GITEA_USER" ] && DAEMON_OPTS="$DAEMON_OPTS --user=${GITEA_USER}"
+
+start() {
+ cd ${GITEA_HOME}
+ echo -n "Starting ${SERVICENAME}: "
+ daemon $DAEMON_OPTS "${GITEA_PATH} web > ${LOGFILE} 2>&1 &"
+ RETVAL=$?
+ echo
+ [ $RETVAL = 0 ] && touch ${LOCKFILE}
+
+ return $RETVAL
+}
+
+stop() {
+ cd ${GITEA_HOME}
+ echo -n "Shutting down ${SERVICENAME}: "
+ killproc ${NAME}
+ RETVAL=$?
+ echo
+ [ $RETVAL = 0 ] && rm -f ${LOCKFILE}
+}
+
+case "$1" in
+ start)
+ status ${NAME} > /dev/null 2>&1 && exit 0
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ status ${NAME}
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ reload)
+ stop
+ start
+ ;;
+ *)
+ echo "Usage: ${NAME} {start|stop|status|restart}"
+ exit 1
+ ;;
+esac
+exit $RETVAL